Patches to the original plugin

Written by:                  magicamun

Description:
Additions to the original plugin are:

- adjustable setup for "UpperCase" or not in the naming of the song.
- 3 possible namings of songs introduced, subdirectories are possible too.
- adjustable number of copies of songs on disk.
- config file "audiorecorder.conf" in the plugin-directory of your vdr added, to setup the used channels.
- multilanguage support (at the moment only english and german)
- Reading of the xml-cache reprogrammed as a thread - to speed up the start of the VDR.
- optional naming of the songs via external script.
- relative pathes in the xml-cache.

Parameters:
-r dir,   --recdir=dir    set recording-directory to 'dir'.
-d level, --debug=level   set debugging level (default: 0),
                          all stuff is written to stdout.
                          0 = off
                          1 = only errors
                          2 = errors and further infos
-p script, --postproc=script set script (default: none)
                          for postprocessing.

Installation:
Additional to the installation hints of the pre5, copy the "audiorecorder.conf" in the plugin-directory of your VDR.

Others:
Other recording mechanism via title/artist in the EPG for Premiere programmed by Frankman (search for P-Rex)
